# Flask-DbMigrant

Flask extension for working with Alembic.

It can be used as an alternative for Flask-Migrate.

## Installation

```bash
$ pip install Flask-DbMigrant
```

## Usage

First create the `dbmigrant` object:

```python
from flask_dbmigrant import DbMigrant
dbmigrant = DbMigrant()
```

Then initialize it using init_app method:

```python
dbmigrant.init_app(app)  # app is your Flask app instance
```
The Flask app config should have `DATABASE_URL` key. That is a connection string that tells what database to connect to.

## Existing commands

- flask db init

  create a migration repository and configure the environment


- flask db migrate

  create a migration script


- flask db upgrade

  execute the script


The app package should contain models.py file.


## License

`Flask-DbMigrant` was created by Rafal Padkowski. It is licensed under the terms
of the MIT license.
